%define anolis_release 1
Name:           perl-Config-Perl-V
Version:        0.35
Epoch:          1
Release:        %{anolis_release}%{?dist}
Summary:        Structured data retrieval of perl -V output
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Config-Perl-V
Source0:        https://cpan.metacpan.org/authors/id/H/HM/HMBRAND/Config-Perl-V-%{version}.tgz
# Correct example
Patch0:         Config-Perl-V-0.24-Remove-invalid-shellbang.patch
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict)
# Run-time:
BuildRequires:  perl(Config)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(vars)
BuildRequires:  perl(warnings)
# Optional run-time:
BuildRequires:  perl(Digest::MD5)
# Tests:
BuildRequires:  perl(Test::More)
%if !%{defined perl_bootstrap}
# Building core modules must not require non-core modules when bootstrapping
BuildRequires:  perl(Test::NoWarnings)
%endif
Suggests:       perl(Digest::MD5)
Conflicts:      perl < 4:5.22.0

%description
The command "perl -V" will return you an excerpt from the %%Config::Config
hash combined with the output of "perl -V" that is not stored inside the hash,
but only available to the perl binary itself. This package provides Perl
module that will return you the output of "perl -V" in a structure.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q -n Config-Perl-V-%{version}
%patch0 -p1
chmod -x examples/*

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} $RPM_BUILD_ROOT/*

%check
# Building core modules must not require non-core modules when bootstrapping
make test PERL_CORE=%{defined perl_bootstrap}

%files
%{perl_vendorlib}/*
%{_mandir}/man3/*

%files doc
%doc Changelog CONTRIBUTING.md examples README

%changelog
* Tue Feb 07 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 1:0.35-1
- remove versioned MODULE_COMPAT_ requires
- update to version 0.35

* Mon Jan 30 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1:0.33-2
- rebuild with perl 5.36.0

* Wed Apr 20 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1:0.33-1
- init from upstream
